<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	
	<title>DELFINES HOTEL & CONVENTION CENTER</title>
	
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

	<!-- jquery 1.12 :ini -->
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.4.js"></script>
	<!-- jquery 1.12 :end -->
	
	<!-- datatable 1.10 :ini -->
	<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
	<!---->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css"></link>
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css"></link>
	<!-- datatable 1.10 :end -->

	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	
	<!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

	<!-- datepicker :ini -->
	<link rel="stylesheet" type="text/css" media="all" href="<c:url value="/resources/assets/js/daterangepicker/daterangepicker-bs3.css"/>" />
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/moment.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/daterangepicker.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/bootstrap-datepicker.js"/>"></script>
	<!-- datepicker :end -->
	
	<!-- Logica de presentacion : ini-->
	<script type="text/javascript" src="<c:url value="/resources/js/fn_registro_guia.js?3" />"></script>
	<script type="text/javascript" src="<c:url value="/resources/js/shortcut.js?7" />"></script>
	<!-- Logica de presentacion : fin-->
	<style>
		.green-border {
		  border: 1px solid green !important;  
		}
		
		input:required:focus {
		  border: 2px solid red;
		  outline: none;
		}
		
		select:required:focus {
		  border: 2px solid red;
		  outline: none;
		}
		
		textarea:required:focus {
		  border: 2px solid red;
		  outline: none;
		}
	</style>
	
	
	
</head>
<body class="page-body">
	<div class="container-fluid">
			<div class="col-md-6 col-sm-4 clearfix">	
				<ul class="user-info pull-left pull-none-xsm">
					<li class="profile-info dropdown">
						<div class="logo">
							<a href="index.html">
								<img src="./resources/assets/images/logo_delfin.png" height="87" alt="" />
							</a>
						</div>
					</li>
				</ul>									
			</div>
			
			<div class="col-md-6 col-sm-8 clearfix hidden-xs">
		
				<ul class="list-inline links-list pull-right">
					<li>
						<p>Bienvenido: <strong>[${p_usuario.username}/${p_usuario.perfil} - ${p_usuario.denominacionArea}]</strong></p>
						<li>
							<a href="${pageContext.request.contextPath}/">Salir <i class="entypo-logout right"></i></a>
						</li>
						<br>
					</li>
					<li></li>
					<li>
					</li>
				</ul>
		
			</div>   
			<div class="col-md-6 msg-alert-login-error" style="display:none;">
				<div class="alert alert-danger"></div>
			</div>
    </div>
    <!-- /.container-fluid -->
    <!-- collapsed -->
	<div class="page-container sidebar-collapsed" style="border-top: 1px solid #ccc">
	
	<div class="sidebar-menu">

		<div class="sidebar-menu-inner">
			
			<header class="logo-env">
				<div class="sidebar-collapse">
					<a href="#" class="sidebar-collapse-icon"><!-- add class "with-animation" if you want sidebar to have animation during expanding/collapsing transition -->
						<i class="entypo-menu"></i>
					</a>
				</div>

				<!-- open/close menu icon (do not remove if you want to enable menu on mobile devices) -->
				<div class="sidebar-mobile-menu visible-xs">
					<a href="#" class="with-animation"><!-- add class "with-animation" to support animation -->
						<i class="entypo-menu"></i>
					</a>
				</div>
			</header>
									
			<ul id="main-menu" class="main-menu">
				<li class="has-sub">
					<a href="https://demo.neontheme.com/dashboard/main/">
						<i class="entypo-gauge"></i>
						<span class="title">Servicio</span>
					</a>
					<ul>
						<li>
							<a href="<c:url value="/registro-guia"/>">
								<i class="entypo-docs"></i>
								<span class="title">Guia de Recepcion</span>
							</a>
						</li>
						<li>
							<a href="<c:url value="/lista-guia"/>">
								<i class="entypo-docs"></i>
								<span class="title">Lista - Guia de Recepcion</span>
							</a>
						</li>
					</ul>
				</li>
				
				<li class="has-sub">
					<a href="https://demo.neontheme.com/dashboard/main/">
						<i class="entypo-print"></i>
						<span class="title">Reportes</span>
					</a>
					<ul>
						<li>
							<a href="<c:url value="/reporte-pagos"/>">
								<i class="entypo-doc-text"></i>
								<span class="title">Reporte de Pagos</span>
							</a>
						</li>
						<li>
							<a href="<c:url value="/reporte-estado-ordenes"/>">
								<i class="entypo-doc-text"></i>
								<span class="title">Reporte de Estado (Ordenes)</span>
							</a>
						</li>
						<li>
							<a href="<c:url value="/reporte-detalle-ordenes"/>">
								<i class="entypo-doc-text"></i>
								<span class="title">Detalle de Ordenes (Produccion)</span>
							</a>
						</li>
					</ul>
				</li>
				
				<li class="has-sub">
					<a href="https://demo.neontheme.com/dashboard/main/">
						<i class="entypo-layout"></i>
						<span class="title">Mantenimiento</span>
					</a>
					<ul>
						<li>
							<a href="<c:url value="/mante-cliente"/>">
								<i class="entypo-tools"></i>
								<span class="title">Mantenimiento Cliente</span>
							</a>
						</li>
						
						<li>
							<a href="<c:url value="/mante-lista-precios"/>">
								<i class="entypo-tools"></i>
								<span class="title">Mantenimiento Lista de Precios</span>
							</a>
						</li>
						
					</ul>
				</li>
				
				<li class="has-sub">
					<a href="https://demo.neontheme.com/dashboard/main/">
						<i class="entypo-cog"></i>
						<span class="title">Procesos masivos</span>
					</a>
					<ul>
						<li>
							<a href="<c:url value="/proceso-dbf-concar"/>">
								<i class="entypo-download"></i>
								<span class="title">Exportar DBF a CONCAR</span>
							</a>
						</li>
						<li>
							<a href="<c:url value="/mante-tipo-cambio"/>">
								<i class="entypo-cc-share"></i>
								<span class="title">Tipo de Cambio</span>
							</a>
						</li>
					</ul>
				</li>
				
			</ul>
				
			</div>
	
	</div>
	
	
	
	<div class="main-content">
			<div class="row">
				<form id="frmGuia" >
					<div class="col-md-12">
					
						<div class="panel panel-default">
						  
						  <div class="panel panel-info">
							  <div class="panel-heading">
								  	<div class="row">
								  		<div class="col-md-12">
								  			<div class="form-group">
										    	<label class="control-label control-label-left col-sm-12" ><h4><b>Guia de Recepción</b></h4></label>
										    </div>
										</div>
									</div>
							  </div>
						  </div> 	  
						  
						  <div class="panel-body">
						  
						  		<div class="row">
						           	<div class="col-md-1">
						               	<div class="form-group">
						                	<button type="button" id="cmdNuevoGuia" class="btn btn-info" >Nuevo [N]<i class="entypo-plus"></i> </button>
											<input type="hidden" id="hIdGuia">
										</div>
									</div>
									<div class="col-md-5">
										<div class="form-group">
											
										</div>
									</div>
									
									<div class="col-md-4">
										<div class="form-group">
											
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<input type="hidden" id="hIdGuiaBuscar">
							                <input type="text" required="required" id="txtNumeroGuiaBuscar" size="5" maxlength="5" class="form-control k-textbox" style="text-transform: uppercase">
										</div>
									</div>
									
									<div class="col-md-1">
										<div class="form-group">
											<button type="button" id="cmdBuscarGuia" class="btn btn-info" >Buscar [B]<i class="entypo-search"></i> </button>
										</div>
									</div>
								</div>
								
								<div class="row">
						           	<div class="col-md-1">
						               	<div class="form-group">
						                	
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											
										</div>
									</div>
									
									<div class="col-md-1">
										<div class="form-group">
											<label class="control-label control-label-right" >Estado entrega:</label>			
										</div>
									</div>
									
									<div class="col-md-4">
										<div class="form-group">
											<input type="text" required="required" id="txtComentarioEntrega" size="100" maxlength="100" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">			
										</div>
									</div>
									<div class="col-md-2">
						               	<div class="form-group">
						                	<input type="text" id="txtFechaEntrega" disabled="disabled" size="30" maxlength="30" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
											<div class="input-group">
						                	    <input type="checkbox" id="chEstadoEntrega" data-toggle="toggle" data-size="small" data-on="ENTREGADO" data-off="PENDIENTE" >
											</div>
										</div>
									</div>
								</div>
								
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
										    <label class="control-label control-label-left col-sm-3" >Nro Guia:</label>
										    <div class="controls col-sm-9">
							                	<input type="text" id="txtNroGuia" disabled="disabled" size="30" maxlength="30" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
							                </div>
										</div>
									</div>
									
									<div class="col-md-6">
										<div class="form-group">
										    <label class="control-label control-label-left col-sm-3" >Fecha Orden:</label>
										    <div class="controls col-sm-9">
							                	<div class="input-group">
													<input type="text" id="txtFechaOrden" disabled="disabled" class="form-control datepicker"
													value="${fechaHoy}" 
													data-format="dd/mm/yyyy" format="dd/mm/yyyy">
													<div class="input-group-addon">
														<a href="#"><i class="entypo-calendar"></i></a>
													</div>
												</div>
							                </div>
										</div>	
									</div>
								</div>
								
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label control-label-left col-sm-3" >Comentario:</label>
										    <div class="controls col-sm-9">
							                	<input type="text" required="required" id="txtComentario"  size="100" maxlength="100" name="" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
							                </div>
							                
					                	</div>
									</div>
									
									<div class="col-md-6">
										<div class="form-group">
									    	<label class="control-label control-label-left col-sm-3" >Fecha Comprometida:</label>
										    <div class="controls col-sm-9">
							                	<div class="input-group">
													<input required="required"  type="text" id="txtFechaComprometida" class="form-control datepicker" data-format="dd/mm/yyyy" format="dd/mm/yyyy">
													<div class="input-group-addon">
														<a href="#"><i class="entypo-calendar"></i></a>
													</div>
												</div>
							                </div>
					                	</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
										    <label class="control-label control-label-left col-sm-3">Lista de Precio:</label>
										    <div class="controls col-sm-9">
										    	<input type="hidden" id="hIdListaPrecio" value=""></input>
										    	<input id="txtIdListaPrecio" required="required"  type="text" value="LAVANDERIA EXTERNA CLIENTES REGULARES" list="lListaPrecio" class="form-control k-textbox" data-role="text" style="text-transform: uppercase" >
										    	<datalist id="lListaPrecio">
											    	<c:forEach items="${listaListaPrecio}" var="o" varStatus="i" >
														<option data-value="${o.id}" value="${o.denominacion}"></option>
													</c:forEach>
												</datalist>	
							                </div>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label control-label-left col-sm-3">Prioridad:</label>
											<div class="controls col-sm-9">
												<input type="hidden" id="hIdPrioridad" value=""></input>
										    	<input id="txtIdPrioridad" type="text" required="required"  value="NORMAL" list="lPrioridad" class="form-control k-textbox" data-role="text" style="text-transform: uppercase" >
										    	<datalist id="lPrioridad">
											    	<c:forEach items="${listaPrioridad}" var="o" varStatus="i" >
														<option data-value="${o.id}" value="${o.denominacion}"></option>
													</c:forEach>
												</datalist>
											</div>
										</div>	
									</div>
								</div>
								
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
										    <label class="control-label control-label-left col-sm-3" >Cliente:</label>
										    <div class="controls col-sm-9">
										    	<div class="input-group">
										    	
										    		<input type="hidden" id="hIdCliente" value=""></input>
								                	<input id="txtIdCliente" type="text" required="required"  list="lClientes" data-list='lClientes' autocomplete="off" class="form-control k-textbox" data-role="text" style="text-transform: uppercase" >
								                	
								                	<div class="input-group-addon">
														<a href="#" data-toggle="modal" data-target="#mManteCliente" ><i class="entypo-vcard"></i></a>
													</div>
													
													<datalist id="lClientes">
														<c:forEach items="${listaClientes}" var="o" varStatus="i" >
															<option data-value="${o.id}" id="${o.descripcion}" value="${o.codigo} ${o.denominacion}"></option>
														</c:forEach>
													</datalist>
													
												</div>	
							                </div>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											 
											<label class="control-label control-label-left col-sm-3" >Descuento:</label>
											
										    <div class="controls col-sm-9">
										    
							                	<input type="hidden" required="required"  id="hIdDescuento" value="${comprobante.idTipoComprobante}" >
							                	
												<select id="selIdDescuento" required="required" class="form-control" data-role="select" >
												    <option selected="selected" value="1" >SIN DESCUENTO</option>
												    <option value="2" >PRONTO PAGO 10%</option>
												    <option value="5" >PRONTO PAGO 15% - EDREDONES FRAZADAS</option><!-- EDREDONES FRAZADAS 22/02/2021 -->
												    <option value="3" >PERSONAL 30%</option>
												    <option value="4" >CLIENTE VIP 10%</option>
												</select>
							                </div>
							                
										</div>	
									</div>
								</div>
								
								<div class="row">
									<div class="col-md-12">
										<div class="form-group">
								    		<input id="txtDescCliente" required="required" width="100%" disabled="disabled" type="text" class="form-control k-textbox" data-role="text" style="text-transform: uppercase;">
										</div>
									</div>
								</div>
								
								<div class="row">
									<div class="col-md-12">
										<div class="form-group">
										    <input type="hidden"/>
										</div>
									</div>
								</div>
								
								<div class="row">
						           	<div class="col-md-4">
						               	<div id="divServicios"  class="form-group">
						                	<input id="txtIdServicio" list="lServicios" required="required" placeholder="Denominacion de servicio" type="text" size="50" maxlength="50" class="form-control k-textbox" data-role="text" style="text-transform: uppercase" >
						                	<datalist id="lServicios">
											</datalist>
										</div>
									</div>
									<div class="col-md-2">
										<div class="form-group">
											<input id="txtCantidad" required="required" placeholder="Cantidad" type="text" size="50" maxlength="50" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
										</div>
									</div>
									<div class="col-md-2">
										<div class="form-group">
											<input id="txtPrecio" required="required" disabled="disabled" placeholder="Precio" type="text" size="50" maxlength="50" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<input id="txtDescripcion" required="required" placeholder="Descripcion" type="text" size="50" maxlength="50" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
										</div>
									</div>
									<div class="col-md-1">
										<div class="form-group">
										    <input type="hidden" id="hIdDetalleLista" >
										    <input type="hidden" id="hIdGuiaDetalle" >
											<button id="cmdAgregarServicio" type="button" class="btn btn-success">Agrega [A]<i class="entypo-list-add"></i> </button>
										</div>
									</div>
								</div>
		
								<div src="<c:url value="/registro-guia-tabla"/>" id="subViewDiv"></div>
								
								<div class="row">
									<div class="col-md-12">
										<div class="form-group">
											<div class="controls col-sm-12">
												<input type="hidden" id="hIdComprobante" value="0">
												<input type="hidden" id="hIdPago" value="0">
												<input type="hidden" id="hEstado" value="0">
																							
												<button type="button" id="cmdCompletar" class="btn btn-success" >
													<span class="ui-button-text">
														Guardar [G] 
													</span>
													<i class="entypo-cog"></i> 
												</button>
												<button type="button" id="cmdImprimir" class="btn btn-info" >Imprimir [P] <i class="entypo-print"></i> </button>
												
												<button type="button" id="cmdFacturar" class="btn btn-danger" >Comprobante [C] <i class="entypo-publish"></i> </button>
											</div>
												
										</div>
									</div>
								</div>
							</div>
					
		            	</div>
	              </div><!-- footer -->
	            </form>
	        </div>
		</div>
	</div>	
	
	
	<!-- Modal : Inicio -->
	<div id="mDeleteGuiaItem" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Eliminar servicio de guia</h4>
	      </div>
	      
	      <div class="modal-body">
	      		<form id="frmEliminaServicio" >
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<input id="txtDenominacionDelete" disabled="disabled" required="required" type="text" size="100" maxlength="100" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
							</div>
						</div>
					</div>
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-12" for="field24">Realmente desea eliminar el registro?</label>
							</div>
						</div>
					</div>
				</form>
	      </div>
	      
	      <div class="modal-footer">
	      	<input type="hidden" id="hIdGuiaDetalleDelete">
	      	<input type="hidden" id="hIdGuia">
	      	<button type="button" id="cmdDelAceptar" class="btn btn-default" data-dismiss="modal">Aceptar</button>
	      	
	        <button type="button" id="cmdDelClose" class="btn btn-default" data-dismiss="modal">Cancelar</button>
	      </div>
	    </div>
	
	  </div>
	</div>
	<!-- Modal : Fin -->
	
	
	<!-- Modal : Inicio -->
	<div id="mManteCliente" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Registro de datos de cliente</h4>
	      </div>
	      
	      <div class="modal-body">
	      
	      		<form id="frmRegistro" >
					
					<div class="row">
						<div class="col-md-12">
							<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3">Tipo Persona:</label>
						    	
								<div class="controls col-sm-9">
				                	<select class="form-control" onchange="selectTipoPersona()" id="selTipoPersona" data-role="select" required="required" >
									  	<option value="1"  selected="selected" >Natural</option>
									  	<option value="2">Juridica</option>
									</select>
				            	</div>
				            	
							</div>
						</div>
					</div>
					
					<div id="divJuridica">
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-3">Razon Social:</label>
									<div class="controls col-sm-9">
					                	<input id="txtRazonSocial" required="required" type="text" size="100" maxlength="100" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
					            	</div>
								</div>
							</div>
						</div>
							
					    <div class="row">
							<div class="col-md-12">
								<div class="form-group">
									<label class="control-label control-label-left col-sm-3">RUC:</label>
									<div class="controls col-sm-4">
					                	<input id="txtRuc" required="required" size="11" maxlength="11" type="text" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
					            	</div>
								</div>
							</div>
						</div>
					</div>
					
					<div id="divNatural">	
						<div class="row">
			            	<div class="col-md-12">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-3">Apellidos Nombres:</label>
									<div class="controls col-sm-9">
					                	<input id="txtApellidosNombres" required="required" type="text" size="50" maxlength="50" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
					            	</div>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-12">
								<div class="form-group">
									<label class="control-label control-label-left col-sm-3">DNI:</label>
									<div class="controls col-sm-4">
					                	<input id="txtDni" required="required" size="8" maxlength="8" type="text" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
					            	</div>
								</div>
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3">Telefono:</label>
						    	<div class="controls col-sm-4">
									<input id="txtTelefono" required="required" size="12" maxlength="12" type="text" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
				            	</div>
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3">Email:</label>
						    	<div class="controls col-sm-9">
									<input id="txtEmail" required="required" size="100" maxlength="100" type="text" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
				            	</div>
							</div>
						</div>
					</div>
					
					<div class="row">
						<div class="col-md-12">
							<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Direccion:</label>
									<div class="controls col-sm-9">
										<input id="txtDireccion" required="required" size="100" maxlength="100" type="text" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
					            	</div>
							</div>
						</div>
					</div>
				</form>
	      </div>
	      
	      <div class="modal-footer">
	      	<input type="hidden" id="hIdClienteEdit">
	      	<button type="button" id="cmdGuardar" class="btn btn-default" data-dismiss="modal">Guardar</button>
	        <button type="button" id="cmdClose" class="btn btn-default" data-dismiss="modal">Close</button>
	      </div>
	    </div>
	
	  </div>
	</div>
	<!-- Modal : Fin -->
			
	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>

	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>

	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>
	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>
	
	
	<!-- datatable 1.10 :ini -->
	<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
	<!---->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css"></link>
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css"></link>
	<!-- datatable 1.10 :end -->
	<script>
			$(function(){
		        $('input:required,textarea:required,select:required').on('blur', function(){
		        });
		  });
	</script>
	
	<script>
		shortcut.add("alt+n",function() {
			$('#cmdNuevoGuia').trigger('click');
		});
		shortcut.add("alt+b",function() {
			$('#cmdBuscarGuia').trigger('click');
		});
		shortcut.add("alt+a",function() {
			$('#cmdAgregarServicio').trigger('click');
		});
		shortcut.add("alt+g",function() {
			$('#cmdCompletar').trigger('click');
		});
		
		shortcut.add("alt+p",function() {
			$('#cmdImprimir').trigger('click');
		});
		shortcut.add("alt+c",function() {
			$("#cmdFacturar").trigger('click');
		});

		
		$("#txtNumeroGuiaBuscar").keyup(function(event) {
		    if (event.keyCode === 13) {
		        $("#cmdBuscarGuia").click();
		    }
		});
		
		$(document).ready(function() {
			
			$('#tmante-listaservicios').DataTable( {
		    	"scrollY":        500,
		        "scrollCollapse": true,
		        "jQueryUI":       true,
		        "bFilter": true,
		        dom : 'Bfrtip',
				buttons : ['excel', 'pdf', 'print'],
				autoWidth: false, //step 1
				"columnDefs": [
								{ "width": "2px", "targets": 0},
								{ "width": "2px", "targets": 1},
								{ "targets": 2,"searchable": true }
				             ]
		    		});

			//valida lista cliente
			$("#txtIdCliente").on("blur", function() {
			    var selectedOption = $("#lClientes option[value='" + $(this).val() + "']");
			    var selectedPerson = parseInt(selectedOption.attr('data-value'));
			    var selectedDesc = selectedOption.attr('id');
			    
			    if (selectedPerson) {
			    	$('#txtDescCliente').val(selectedDesc);
			    	$('#hIdClienteEdit').val(selectedPerson);
			    } else {
			        $('#txtIdCliente').val('');
			        
			        $('#txtDescCliente').val('');
			        $('#hIdClienteEdit').val('0');
			    }
			    
			});

			//valida lista precio
			$("#txtIdListaPrecio").on("blur", function() {
			    var selectedOption = $("#lListaPrecio option[value='" + $(this).val() + "']");
			    var selectedPerson = parseInt(selectedOption.attr('data-value'));
			    if (selectedPerson) {
			        ;
			    } else {
			        $('#txtIdListaPrecio').val('');
			    }
			});

			//valida prioridad
			$("#txtIdPrioridad").on("blur", function() {
			    var selectedOption = $("#lPrioridad option[value='" + $(this).val() + "']");
			    var selectedPerson = parseInt(selectedOption.attr('data-value'));
			    if (selectedPerson) {
			        ;
			    } else {
			        $('#txtIdPrioridad').val('');
			    }
			});

			$("#txtIdListaPrecio").trigger({ type: "focusout" });
			
		})
	</script>
	
	<!-- Clientes -->
	<script>
		$('#mManteCliente').on('show.bs.modal', function () {

			var idClienteEdit=$('#hIdClienteEdit').val();

			if(idClienteEdit==0){
				$('#txtRazonSocial').val("");
				$('#txtRuc').val("");
				$('#txtApellidosNombres').val("");
				$('#txtDni').val("");
				$('#txtTelefono').val("");
				$('#txtEmail').val("");
				$('#txtDireccion').val("");

				$("#selTipoPersona").val(1);//Natural
			}else{
				var hIdCliente=$('#hIdClienteEdit').val();
				var baseURL=$('#contextPathHolder').attr('data-contextPath');
				
				$.ajax({
					url : baseURL + "/buscar-cliente-simple",
					data : {
						idCliente: hIdCliente	
					},
					async:false,
					type : "get",
					contentType: "application/json", //this is required for spring 3 - ajax to work (at least for me)
					dataType : 'json',
					success : function(cliente) {
						$('#txtRazonSocial').val(cliente.denominacion);
						$('#txtRuc').val(cliente.nroDocumento);
						$('#txtApellidosNombres').val(cliente.denominacion);
						$('#txtDni').val(cliente.nroDocumento);
						$('#txtTelefono').val(cliente.telefono);
						$('#txtEmail').val(cliente.correo);
						$('#txtDireccion').val(cliente.direccion);

						$("#selTipoPersona").val(cliente.idTipoCliente);//Natural/Juridica
						selectTipoPersona();
					},
					error: function(xhr, status, error) {
						alert("La guia nro: "+txtNumeroGuiaBuscar+" no se ecnuentra registrada.");
				    }
				});
			}
			
			$('#txtApellidosNombres').focus();
			$('#txtApellidosNombres').select();

		})
		
		selectNatural();
		
		function selectTipoPersona(){
			var idSelTipoPersona=$("#selTipoPersona").val();
			
			if(idSelTipoPersona==1){
				selectNatural();
			}else if(idSelTipoPersona==2){
				selectJuridica();
			}
		}
	    
	    function selectNatural(){
			var divNatural = document.getElementById("divNatural");
			var divJuridica = document.getElementById("divJuridica");
			divNatural.style.display = "block";
			divJuridica.style.display = "none";
		}
	
	    function selectJuridica(){
	    	var divNatural = document.getElementById("divNatural");
			var divJuridica = document.getElementById("divJuridica");
			divNatural.style.display = "none";
			divJuridica.style.display = "block";
		}
		
	</script>

	<script type="text/javascript">
		$(document).ready(function() {
	        $("#txtCantidad").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });    

		$(document).ready(function() {
	        $("#txtPrecio").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });
	</script>  	
	
	<script type="text/javascript">

		$(document).ready(function() {
	        $("#txtNumeroGuiaBuscar").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });
    
		$(document).ready(function() {
	        $("#txtDni").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });    

		$(document).ready(function() {
	        $("#txtRuc").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });

		$(document).ready(function() {
	        $("#txtTelefono").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });
	</script>
</body>
</html>