package com.delfines.spring.controller;

import com.delfines.business.ClienteBo;
import com.delfines.business.ServicioBatchBo;
import com.delfines.vo.TipoCambioDia;
import com.delfines.vo.Usuario;

public class CreateDBFConcar {
	
	public void create(String fechaComp){
		try{
			JavaDBFWrite dbfWrite=new JavaDBFWrite(fechaComp);
			Integer cantidad=dbfWrite.createDBFConcar(fechaComp);
		    
			 if(cantidad>0){
				 JavaDBFWriteCancel dbfWriteCancel=new JavaDBFWriteCancel(fechaComp);
				 dbfWriteCancel.createDBFConcar(fechaComp);
				  
				 ClienteBo servicio=new ClienteBo();
			     servicio.registraDbfGeneracion(fechaComp,cantidad);
			 }
			 
		}catch(Exception e){
			e.printStackTrace();
	    }
	}
	
	/**
	 * Tipo de cambio
	 * @param args
	 */
	/*
	public static void main(String[] args) {
    	try{
    		System.out.println("INICIA REGISTRO DE TIPOS DE CAMBIO");
   			
    		ServicioBatchBo bo=new ServicioBatchBo();
   			String fechaActual=bo.getDate();
        	Integer diaActual=bo.getDay();
        	
   			TipoCambioSUNAT tp=new TipoCambioSUNAT();
   			tp.load();
   			TipoCambioDia val=tp.getTipoCambio(diaActual);
   			
   			bo.registraTipoCambio(fechaActual, val.getCompra(), val.getVenta(), new Usuario());
   			
   			System.out.println("FINALIZA REGISTRO DE TIPOS DE CAMBIO");
    	}catch(Exception e){
    		e.printStackTrace();
    	}
    }
	*/
	
	
	public static void main(String[] args) {
    	try{
    		System.out.println("INICIA CREA BDF CONCAR");
    		
    		ClienteBo bo=new ClienteBo();
        	String fechaComp=bo.getDate();
        	
        	CreateDBFConcar concar=new CreateDBFConcar();
		    concar.create(fechaComp);
		    
		    System.out.println("FINALIZA CREA BDF CONCAR");
    	}catch(Exception e){
    		e.printStackTrace();
    	}
    }
	
}