package com.delfines.spring.controller;

import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.delfines.Constante;
import com.delfines.business.RegistroFacturaBo;
import com.delfines.business.RegistroPagoBo;
import com.delfines.vo.Comprobante;
import com.delfines.vo.ComprobanteDetalle;
import com.delfines.vo.Usuario;

@Controller
public class RegistroPagoController {
   
	@RequestMapping(path={"/registra-pago"}, method=RequestMethod.GET)
	public String registraPago(Integer idFormaPago,Integer idTipoMoneda,Double montoPago,Integer idTipoTarjeta,String numeroTarjeta,Integer idComprobante,
			Integer idTipoComprobante,Double totalNetoComprobante,Model model,HttpServletRequest request) {
		
	   Usuario pUsuario=(Usuario)request.getSession().getAttribute("p_usuario");//pUsuario.setUsuarioId(1);
	   RegistroPagoBo pagoBo=new RegistroPagoBo();
	   
	   Integer result=pagoBo.registraPago(idFormaPago, idTipoMoneda, montoPago, idTipoTarjeta, numeroTarjeta, idComprobante,totalNetoComprobante,pUsuario);
	   
	   return "registro-factura";
	   
	}
	
	@RequestMapping(path={"/actualiza-pago"}, method=RequestMethod.GET)
	public String actualizaPago(Integer idFormaPago,Integer idTipoTarjeta,String numeroTarjeta,Integer idTipoMoneda,
			Integer idComprobante,Integer idPago,Model model,HttpServletRequest request) {
		
	   Usuario pUsuario=(Usuario)request.getSession().getAttribute("p_usuario");//pUsuario.setUsuarioId(1);
	   RegistroPagoBo pagoBo=new RegistroPagoBo();
	   
	   Integer result=pagoBo.actualizaPago(idFormaPago, idTipoTarjeta, numeroTarjeta, idTipoMoneda, idComprobante,idPago,pUsuario);
	   
	   return "registro-factura";
	}
	
}
