<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body>

		<table id="tmante" cellspacing="0" cellpadding="0" class="cell-border display compact" style="width:100%" >
			<thead>
				<tr>
					<th align="left" colspan="10">
						<button type="button" onclick="setParameter(-1)" class="btn btn-success btn-xs" data-toggle="modal" data-target="#mManteCliente">Agregar<i class="entypo-plus"></i> </button>
					</th>
				</tr>
				<tr>
					<th align="left" colspan="10" >
						${msg}
					</th>
				</tr>
				<tr>
					<th align="center">
						Item
					</th>
					<th>Codigo</th>
					<th>Tipo Cliente</th>
					<th>Tipo Documento</th>
					<th>Nro Documento</th>
					<th>Apellidos y Nombres / Razon Social</th>
					<th>Email</th>
					<th>Telefono</th>
					<th>Direccion</th>
					<th></th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${lista}" var="o" varStatus="i" >
				<tr>	
					<td align="center">
						${i.count}
					</td>
					<td align="center">
						${o.idCliente}
					</td>						
					<td>
						${o.tipoCliente}
					</td>
					<td>
						${o.tipoDocumento}
					</td>
					<td>
						${o.nroDocumento}
					</td>
					<td>
						${o.denominacion}
					</td>
					<td>
						${o.correo}
					</td>
					<td>
						${o.telefono}
					</td>
					<td>
						${o.direccion}
						
					</td>
					
					<td align="center">
						<input type="hidden" id="hIdCliente${i.index}" value="<c:out value="${o.idCliente}"/>">
						<input type="hidden" id="hIdTipoCliente${i.index}" value="<c:out value="${o.idTipoCliente}"/>">
						<input type="hidden" id="hIdTipoDocumento${i.index}" value="<c:out value="${o.idTipoDocumento}"/>">
						<input type="hidden" id="hNroDocumento${i.index}" value="<c:out value="${o.nroDocumento}"/>">
						<input type="hidden" id="hDenominacion${i.index}" value="<c:out value="${o.denominacion}"/>">
						<input type="hidden" id="hTelefono${i.index}" value="<c:out value="${o.telefono}"/>">
						<input type="hidden" id="hEmail${i.index}" value="<c:out value="${o.correo}"/>">
						<input type="hidden" id="hDireccion${i.index}" value="<c:out value="${o.direccion}"/>">
						<a href="#" onclick="setParameter(${i.index})" data-toggle="modal" data-target="#mManteCliente"> 
							<i class="entypo-pencil">
							</i> 
						</a>
					</td>
					
					<td align="center">
						<a href="#" onclick="confirmDelete(${i.index})" data-toggle="modal" data-target="#mDelCliente"> 
							<i class="entypo-cancel"></i> 
						</a>
					</td>
					
				</tr>
			</c:forEach>
			<tbody>
		</table>
		
	<script>
		$(document).ready(function() {
			$('#tmante').DataTable( {
		    	"scrollY":        500,
		        "scrollCollapse": true,
		        "jQueryUI":       true,
		        "bFilter": true,
		        "pageLength": 100,
		        dom : 'Bfrtip',
				buttons : ['excel']
		    		} );
			});

		function setParameter(index){
			
			$("#hIdCliente").val(0);
        	$("#selTipoPersona").val(1);
        	
        	$("#txtRuc").val("");
    		$("#txtRazonSocial").val("");
	    	$("#txtDni").val("");
			$("#txtApellidosNombres").val("");
        	
        	$("#txtTelefono").val("");
        	$("#txtEmail").val("");
        	$("#txtDireccion").val("");
        	selectNatural();
        	
			if(index>=0){
				var hIdCliente=document.getElementById('hIdCliente'+index+'');
				var hIdTipoCliente=document.getElementById('hIdTipoCliente'+index+'');
				var hIdTipoDocumento=document.getElementById('hIdTipoDocumento'+index+'');
				var hNroDocumento=document.getElementById('hNroDocumento'+index+'');
				var hDenominacion=document.getElementById('hDenominacion'+index+'');
				var hTelefono=document.getElementById('hTelefono'+index+'');
				var hEmail=document.getElementById('hEmail'+index+'');
				var hDireccion=document.getElementById('hDireccion'+index+'');

	        	$("#hIdCliente").val(hIdCliente.value);
	        	
	        	$("#selTipoPersona").val(hIdTipoCliente.value);
	        	selectTipoPersona();
	        	
	        	var tipoCliente=hIdTipoCliente.value;
	        	
	        	if(tipoCliente==2){
	        		$("#txtRuc").val(hNroDocumento.value);
	        		$("#txtRazonSocial").val(hDenominacion.value);
			    }else{
			    	$("#txtDni").val(hNroDocumento.value);
	    			$("#txtApellidosNombres").val(hDenominacion.value);
				}
	        	$("#txtTelefono").val(hTelefono.value);
	        	$("#txtEmail").val(hEmail.value);
	        	$("#txtDireccion").val(hDireccion.value);
			}
		}
		
		function confirmDelete(index){
			if(index>=0){
				var hIdCliente=document.getElementById('hIdCliente'+index+'');
				var hDenominacion=document.getElementById('hDenominacion'+index+'');
				$("#hIdClienteDelete").val(hIdCliente.value);
	        	$("#txtDenominacionDelete").val(hDenominacion.value);
			}
		}
		
	</script>
	
	<STYLE TYPE="text/css">
	<!--
	TD{font-family: Arial; font-size: 9pt;}
	TH{font-family: Arial; font-size: 9pt;}
	--->
	</STYLE>

</body>
</html>