<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	
</head>

<body>
		<table id="tmanteservicio" cellspacing="0" cellpadding="0" class="cell-border display compact" style="width:100%" >
			<thead>
				<tr>
					<th align="left" colspan="5">
						<button type="button" onclick="setParameter(-1)" class="btn btn-success btn-xs" data-toggle="modal" data-target="#mManteServicio">Agregar<i class="entypo-plus"></i> </button>
					</th>
				</tr>
				
				<tr>
					<th align="left" colspan="5">
						${msg}
					</th>
				</tr>
				
				<tr>
					<th>Fecha</th>
					<th>Tipo cambio compra</th>
					<th>Tipo cambio venta</th>
					<th></th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${lTipoCambio}" var="o" varStatus="i" >
				<tr>	
					<td>
						${o.fecha}
					</td>
					<td align="right">
						${o.tipoCambioCompra}
					</td>
					
					<td align="right">
						${o.tipoCambioVenta}
					</td>
					
					<td align="center">
						<input type="hidden" id="hIdTipoCambio${i.index}" value="<c:out value="${o.idTipoCambio}"/>">
						<input type="hidden" id="hFecha${i.index}" value="<c:out value="${o.fecha}"/>">
						<input type="hidden" id="hTipoCambioCompra${i.index}" value="<c:out value="${o.tipoCambioCompra}"/>">
						<input type="hidden" id="hTipoCambioVenta${i.index}" value="<c:out value="${o.tipoCambioVenta}"/>">
						
						<a href="#" onclick="setParameter(${i.index})" data-toggle="modal" data-target="#mManteServicio"> 
							<i class="entypo-pencil">
							</i> 
						</a>
					</td>
					<td align="center">
						<a href="#" onclick="confirmDelete(${i.index})" data-toggle="modal" data-target="#mDelServicio"> 
							<i class="entypo-cancel"></i> 
						</a>
					</td>
				</tr>
			</c:forEach>
			<tbody>
		</table>
		
	<script>
		$(document).ready(function() {
			$('#tmanteservicio').DataTable( {
		    	"scrollY":        500,
		        "scrollCollapse": true,
		        "jQueryUI":       true,
		        "orderable": false,
		        "bFilter": true,
		        "lengthChange": false,
		        "pageLength": 100,
				autoWidth: false
				
		    		} );
    		
			});

		
		function setParameter(index){
			if(index>=0){
				var hIdTipoCambio=document.getElementById('hIdTipoCambio'+index+'');
				var hFecha=document.getElementById('hFecha'+index+'');
				var hTipoCambioCompra=document.getElementById('hTipoCambioCompra'+index+'');
				var hTipoCambioVenta=document.getElementById('hTipoCambioVenta'+index+'');
	        	$("#hIdTipoCambio").val(hIdTipoCambio.value);
	        	$("#txtFecha").val(hFecha.value);
	        	$("#txtTipoCambioCompra").val(hTipoCambioCompra.value);
	        	$("#txtTipoCambioVenta").val(hTipoCambioVenta.value);

	        	$("#txtFecha").prop( "disabled", true );
			}else{
				$("#hIdTipoCambio").val(0);

				var fechaActual=$("#hFecha").val();
				
				$("#txtFecha").val(fechaActual);
				
	        	$("#txtTipoCambioCompra").val("");
	        	$("#txtTipoCambioVenta").val("");

	        	$("#txtFecha").prop( "disabled", false );
			}
			$('#txtFecha').focus();
    		$('#txtFecha').select();
		}
		
		function confirmDelete(index){
			if(index>=0){
				var hIdTipoCambio=document.getElementById('hIdTipoCambio'+index+'');
				var hFecha=document.getElementById('hFecha'+index+'');

				$("#hIdTipoCambioDelete").val(hIdTipoCambio.value);
	        	$("#txtFechaDelete").val(hFecha.value);
			}
		}
		
	</script>
	
	<STYLE TYPE="text/css">
	<!--
	TD{font-family: Arial; font-size: 9pt;}
	TH{font-family: Arial; font-size: 9pt;}
	--->
	</STYLE>

</body>
</html>