<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>


<body>
		<input type="hidden" id="hIdListaPrecio" value="${idListaPrecio}">
		
		<table id="tregistro-listaprecio" cellspacing="0" cellpadding="0" class="cell-border display compact" style="width:100%" >
			<thead>
				<tr>
					<th align="left" colspan="8">
						<button type="button" onclick="setParameter(-1)" class="btn btn-success btn-xs" data-toggle="modal" data-target="#mManteServicio">Agregar<i class="entypo-plus"></i> </button>
					</th>
				</tr>
				<tr>
					<th align="center">
						Item
					</th>
					<th>Codigo</th>
					<th>Denominacion</th>
					<th>Descripcion</th>
					<th>Precio</th>
					<th>Clasificacion</th>
					<th></th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${lista}" var="o" varStatus="i" >
					<tr>	
						<td align="center">
							${i.count}
						</td>
						<td align="center">
							${o.idServicio}
						</td>						
						<td>
							${o.denominacion}
						</td>
						<td>
							${o.descripcion}
						</td>
						<td width="5px">
							<input type="hidden" id="hIdServicioPU${o.idServicio}" value="<c:out value="${o.idServicio}"/>">
							<input type="hidden" id="hIdDetalleListaPU${o.idServicio}" value="<c:out value="${o.idDetalleLista}"/>">
							<input type="hidden" id="hIdListaPrecioPU${o.idServicio}" value="<c:out value="${o.idListaPrecio}"/>">
							${o.precioUnitario}
						</td>
						<td>
							${o.marca}
						</td>
						<td align="center">
							<input type="hidden" id="hIdServicio${i.index}" value="<c:out value="${o.idServicio}"/>">
							<input type="hidden" id="hIdListaPrecio${i.index}" value="<c:out value="${o.idListaPrecio}"/>">
							<input type="hidden" id="hIdDetalleLista${i.index}" value="<c:out value="${o.idDetalleLista}"/>">
							
							<input type="hidden" id="hDenominacion${i.index}" value="<c:out value="${o.denominacion}"/>">
							<input type="hidden" id="hDescripcion${i.index}" value="<c:out value="${o.descripcion}"/>">
							<input type="hidden" id="hMarca${i.index}" value="<c:out value="${o.marca}"/>">
							<input type="hidden" id="hPrecioUnitario${i.index}" value="<c:out value="${o.precioUnitario}"/>">
						
							<a href="#" onclick="setParameter(${i.index})" data-toggle="modal" data-target="#mManteServicio"> 
								<i class="entypo-pencil">
								</i>
							</a>
						</td>
						
						<td align="center">
							<a href="#" onclick="confirmDelete(${i.index})" data-toggle="modal" data-target="#mDelServicio"> 
								<i class="entypo-cancel"></i> 
							</a>
						</td>
					
					</tr>
				</c:forEach>
			<tbody>
		</table>
		
	<script>
	
		var baseURL=$('#contextPathHolder').attr('data-contextPath');
	
		$(document).ready(function() {
			$('#tregistro-listaprecio').DataTable( {
		    	"scrollCollapse": true,
		        "jQueryUI":       true,
		        "bFilter": true,
		        "pageLength": 100,
		        dom : 'Bfrtip',
				buttons : ['excel'],
				autoWidth: false, //step 1
				"columnDefs": [
								{ "width": "2px", "targets": 0},
								{ "width": "2px", "targets": 1},
								{ "targets": 2,"searchable": true }
				             ]
		    		} );
    		
		})

		
		function onGuardarItem(idServicio){
			if(idServicio>0){
				var hIdDetalleLista = $("#hIdDetalleListaPU"+idServicio+"").val();
				var hIdServicio = $("#hIdServicioPU"+idServicio+"").val();
				var hIdListaPrecio=$("#hIdListaPrecioPU"+idServicio+"").val();
				
		        var hPrecioUnitario = $("#txtPrecioUnitario"+idServicio+"").val();
		        
				$.ajax({
					url : baseURL + "/guardar-lista-precio-item",
					data : {
						idListaPrecio: hIdListaPrecio,	
						idServicio: hIdServicio,
						idDetalleLista:hIdDetalleLista,
						precioUnitario:hPrecioUnitario
					},
					async:false,
					type : "get",
					success : function(response) {
					}
				});
			}
		}

		
		function setParameter(index){//ok
			if(index>=0){
				var hIdServicio=document.getElementById('hIdServicio'+index+'');
				var hIdListaPrecio=document.getElementById('hIdListaPrecio'+index+'');
				var hIdDetalleLista=document.getElementById('hIdDetalleLista'+index+'');
				
				var hDenominacion=document.getElementById('hDenominacion'+index+'');
				var hDescripcion=document.getElementById('hDescripcion'+index+'');
				var hPrecioUnitario=document.getElementById('hPrecioUnitario'+index+'');

				var hMarca=document.getElementById('hMarca'+index+'');
				
	        	$("#txtDenominacionServicio").val(hDenominacion.value);
	        	$("#txtDescripcionServicio").val(hDescripcion.value);
	        	$("#txtPrecioServicio").val(hPrecioUnitario.value);

	        	$("#selClasificacion").val(hMarca.value);
	        	
	        	$("#hIdServicioServicio").val(hIdServicio.value);
	        	$("#hIdListaPrecioServicio").val(hIdListaPrecio.value);
	        	$("#hIdDetalleListaServicio").val(hIdDetalleLista.value);
	        	
			}else{
				$("#hIdServicioServicio").val(0);
				$("#txtDenominacionServicio").val("");
	        	$("#txtDescripcionServicio").val("");
	        	$("#txtPrecioServicio").val("");

	        	$("#selClasificacion").val("VALET_EXT");

	        	var hIdListaPrecio=$("#hIdListaPrecio").val()
	        	
	        	$("#hIdServicioServicio").val(0);;
	        	$("#hIdListaPrecioServicio").val(hIdListaPrecio);
	        	$("#hIdDetalleListaServicio").val(0);
			}
			$('#txtDenominacionServicio').focus();
    		$('#txtDenominacionServicio').select();
		}
		
		function confirmDelete(index){
			if(index>=0){
				var hIdServicio=document.getElementById('hIdServicio'+index+'');
				var hIdListaPrecio=document.getElementById('hIdListaPrecio'+index+'');
				var hIdDetalleLista=document.getElementById('hIdDetalleLista'+index+'');
				
				var hDenominacion=document.getElementById('hDenominacion'+index+'');
								
				$("#hIdServicioDelete").val(hIdServicio.value);
	        	$("#hIdListaPrecioServicioDelete").val(hIdListaPrecio.value);
	        	$("#hIdDetalleListaPrecioDelete").val(hIdDetalleLista.value);
				
	        	$("#txtDenominacionDelete").val(hDenominacion.value);
			}
		}
	</script>
	
	<STYLE TYPE="text/css">
	<!--
	TD{font-family: Arial; font-size: 9pt;}
	TH{font-family: Arial; font-size: 9pt;}
	--->
	</STYLE>
</body>
</html>