package com.delfines.business;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import com.delfines.dao.ConnectionFactory;
import com.delfines.vo.Usuario;

public class UsuarioBo {
	
	public String getDate(){
		String fecha=""; 
		
		PreparedStatement ps=null;
		ResultSet rs=null;

        try {
        	Connection conn = ConnectionFactory.getInstance().getConnection();
            
            StringBuilder query = new StringBuilder();
            query.append("SELECT convert(varchar(20),getdate(),103) hoy ");
            ps = conn.prepareStatement(query.toString());
            
            rs = ps.executeQuery();
            
            if(rs.next()){
            	fecha=rs.getString("hoy");
            }
            
        } catch (SQLException e) {
            throw new RuntimeException(e);
        } finally {
        	if (ps != null) {try {ps.close();} catch (SQLException e) {e.printStackTrace();}}
            if (rs != null) {try {rs.close();} catch (SQLException e) {e.printStackTrace();}}
        }
        
        return fecha;
	}
	
	public Usuario loginUsuario(String username,String passwd){
		Usuario usuario = null; 
		
		PreparedStatement ps=null;
		ResultSet rs=null;

        try {
            
        	Connection conn = ConnectionFactory.getInstance().getConnection();
            
            StringBuilder query = new StringBuilder();
            query.append("SELECT u.id_usuario,u.apellidos_nombres,u.username,u.id_perfil FROM usuario u WHERE u.username=? and u.passwd=? ");
            ps = conn.prepareStatement(query.toString());
            ps.setString(1, username);
            ps.setString(2, passwd);
            
            rs = ps.executeQuery();
            
            while(rs.next()){
            	usuario = new Usuario();
            	
            	usuario.setUsuarioId(rs.getInt("id_usuario"));
            	usuario.setApellidosNombres(rs.getString("apellidos_nombres"));
            	usuario.setUsername(rs.getString("username"));
            	usuario.setPerfilId(rs.getInt("id_perfil"));
            	//--
            	usuario.setIdPerfilLead(1);
            	usuario.setAreaId(1);
            	usuario.setDenominacionArea("LAVANDERIA");
            }
            
        } catch (SQLException e) {
            throw new RuntimeException(e);
        } finally {
        	if (ps != null) {try {ps.close();} catch (SQLException e) {e.printStackTrace();}}
            if (rs != null) {try {rs.close();} catch (SQLException e) {e.printStackTrace();}}
        }
        
        return usuario;
	}
}
